Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network120.167.0.0/16
Usable hosts65,534
Subnet mask255.255.0.0
Addresses65,536
Network address
120.167.0.0
Broadcast address
120.167.255.255
First usable
120.167.0.1
Last usable
120.167.255.254
Usable hosts
65,534 (65,536 less the network and broadcast addresses)
Subnet mask
255.255.0.0
Wildcard mask
0.0.255.255 (Cisco ACLs, OSPF)
Prefix length
/16
Type
Public public
Old class
A (default /8)
As numbers
Hex 78A70000 · Integer 2024210432 to 2024275967
Reverse DNS zone
167.120.in-addr.arpa
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01111000.10100111..00000000.00000000120.167.0.0
Subnet mask11111111.11111111..00000000.00000000255.255.0.0
Network01111000.10100111..00000000.00000000120.167.0.0
Broadcast01111000.10100111..11111111.11111111120.167.255.255
Split into smaller subnets/25

120.167.0.0/16 makes 512 subnets of /25; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1120.167.0.0/25120.167.0.1 to 120.167.0.126120.167.0.127126
2120.167.0.128/25120.167.0.129 to 120.167.0.254120.167.0.255126
3120.167.1.0/25120.167.1.1 to 120.167.1.126120.167.1.127126
4120.167.1.128/25120.167.1.129 to 120.167.1.254120.167.1.255126
5120.167.2.0/25120.167.2.1 to 120.167.2.126120.167.2.127126
6120.167.2.128/25120.167.2.129 to 120.167.2.254120.167.2.255126
7120.167.3.0/25120.167.3.1 to 120.167.3.126120.167.3.127126
8120.167.3.128/25120.167.3.129 to 120.167.3.254120.167.3.255126
9120.167.4.0/25120.167.4.1 to 120.167.4.126120.167.4.127126
10120.167.4.128/25120.167.4.129 to 120.167.4.254120.167.4.255126
11120.167.5.0/25120.167.5.1 to 120.167.5.126120.167.5.127126
12120.167.5.128/25120.167.5.129 to 120.167.5.254120.167.5.255126
13120.167.6.0/25120.167.6.1 to 120.167.6.126120.167.6.127126
14120.167.6.128/25120.167.6.129 to 120.167.6.254120.167.6.255126
15120.167.7.0/25120.167.7.1 to 120.167.7.126120.167.7.127126
16120.167.7.128/25120.167.7.129 to 120.167.7.254120.167.7.255126
17120.167.8.0/25120.167.8.1 to 120.167.8.126120.167.8.127126
18120.167.8.128/25120.167.8.129 to 120.167.8.254120.167.8.255126
19120.167.9.0/25120.167.9.1 to 120.167.9.126120.167.9.127126
20120.167.9.128/25120.167.9.129 to 120.167.9.254120.167.9.255126
21120.167.10.0/25120.167.10.1 to 120.167.10.126120.167.10.127126
22120.167.10.128/25120.167.10.129 to 120.167.10.254120.167.10.255126
23120.167.11.0/25120.167.11.1 to 120.167.11.126120.167.11.127126
24120.167.11.128/25120.167.11.129 to 120.167.11.254120.167.11.255126
25120.167.12.0/25120.167.12.1 to 120.167.12.126120.167.12.127126
26120.167.12.128/25120.167.12.129 to 120.167.12.254120.167.12.255126
27120.167.13.0/25120.167.13.1 to 120.167.13.126120.167.13.127126
28120.167.13.128/25120.167.13.129 to 120.167.13.254120.167.13.255126
29120.167.14.0/25120.167.14.1 to 120.167.14.126120.167.14.127126
30120.167.14.128/25120.167.14.129 to 120.167.14.254120.167.14.255126
31120.167.15.0/25120.167.15.1 to 120.167.15.126120.167.15.127126
32120.167.15.128/25120.167.15.129 to 120.167.15.254120.167.15.255126
33120.167.16.0/25120.167.16.1 to 120.167.16.126120.167.16.127126
34120.167.16.128/25120.167.16.129 to 120.167.16.254120.167.16.255126
35120.167.17.0/25120.167.17.1 to 120.167.17.126120.167.17.127126
36120.167.17.128/25120.167.17.129 to 120.167.17.254120.167.17.255126
37120.167.18.0/25120.167.18.1 to 120.167.18.126120.167.18.127126
38120.167.18.128/25120.167.18.129 to 120.167.18.254120.167.18.255126
39120.167.19.0/25120.167.19.1 to 120.167.19.126120.167.19.127126
40120.167.19.128/25120.167.19.129 to 120.167.19.254120.167.19.255126
41120.167.20.0/25120.167.20.1 to 120.167.20.126120.167.20.127126
42120.167.20.128/25120.167.20.129 to 120.167.20.254120.167.20.255126
43120.167.21.0/25120.167.21.1 to 120.167.21.126120.167.21.127126
44120.167.21.128/25120.167.21.129 to 120.167.21.254120.167.21.255126
45120.167.22.0/25120.167.22.1 to 120.167.22.126120.167.22.127126
46120.167.22.128/25120.167.22.129 to 120.167.22.254120.167.22.255126
47120.167.23.0/25120.167.23.1 to 120.167.23.126120.167.23.127126
48120.167.23.128/25120.167.23.129 to 120.167.23.254120.167.23.255126
49120.167.24.0/25120.167.24.1 to 120.167.24.126120.167.24.127126
50120.167.24.128/25120.167.24.129 to 120.167.24.254120.167.24.255126
51120.167.25.0/25120.167.25.1 to 120.167.25.126120.167.25.127126
52120.167.25.128/25120.167.25.129 to 120.167.25.254120.167.25.255126
53120.167.26.0/25120.167.26.1 to 120.167.26.126120.167.26.127126
54120.167.26.128/25120.167.26.129 to 120.167.26.254120.167.26.255126
55120.167.27.0/25120.167.27.1 to 120.167.27.126120.167.27.127126
56120.167.27.128/25120.167.27.129 to 120.167.27.254120.167.27.255126
57120.167.28.0/25120.167.28.1 to 120.167.28.126120.167.28.127126
58120.167.28.128/25120.167.28.129 to 120.167.28.254120.167.28.255126
59120.167.29.0/25120.167.29.1 to 120.167.29.126120.167.29.127126
60120.167.29.128/25120.167.29.129 to 120.167.29.254120.167.29.255126
61120.167.30.0/25120.167.30.1 to 120.167.30.126120.167.30.127126
62120.167.30.128/25120.167.30.129 to 120.167.30.254120.167.30.255126
63120.167.31.0/25120.167.31.1 to 120.167.31.126120.167.31.127126
64120.167.31.128/25120.167.31.129 to 120.167.31.254120.167.31.255126
65120.167.32.0/25120.167.32.1 to 120.167.32.126120.167.32.127126
66120.167.32.128/25120.167.32.129 to 120.167.32.254120.167.32.255126
67120.167.33.0/25120.167.33.1 to 120.167.33.126120.167.33.127126
68120.167.33.128/25120.167.33.129 to 120.167.33.254120.167.33.255126
69120.167.34.0/25120.167.34.1 to 120.167.34.126120.167.34.127126
70120.167.34.128/25120.167.34.129 to 120.167.34.254120.167.34.255126
71120.167.35.0/25120.167.35.1 to 120.167.35.126120.167.35.127126
72120.167.35.128/25120.167.35.129 to 120.167.35.254120.167.35.255126
73120.167.36.0/25120.167.36.1 to 120.167.36.126120.167.36.127126
74120.167.36.128/25120.167.36.129 to 120.167.36.254120.167.36.255126
75120.167.37.0/25120.167.37.1 to 120.167.37.126120.167.37.127126
76120.167.37.128/25120.167.37.129 to 120.167.37.254120.167.37.255126
77120.167.38.0/25120.167.38.1 to 120.167.38.126120.167.38.127126
78120.167.38.128/25120.167.38.129 to 120.167.38.254120.167.38.255126
79120.167.39.0/25120.167.39.1 to 120.167.39.126120.167.39.127126
80120.167.39.128/25120.167.39.129 to 120.167.39.254120.167.39.255126
81120.167.40.0/25120.167.40.1 to 120.167.40.126120.167.40.127126
82120.167.40.128/25120.167.40.129 to 120.167.40.254120.167.40.255126
83120.167.41.0/25120.167.41.1 to 120.167.41.126120.167.41.127126
84120.167.41.128/25120.167.41.129 to 120.167.41.254120.167.41.255126
85120.167.42.0/25120.167.42.1 to 120.167.42.126120.167.42.127126
86120.167.42.128/25120.167.42.129 to 120.167.42.254120.167.42.255126
87120.167.43.0/25120.167.43.1 to 120.167.43.126120.167.43.127126
88120.167.43.128/25120.167.43.129 to 120.167.43.254120.167.43.255126
89120.167.44.0/25120.167.44.1 to 120.167.44.126120.167.44.127126
90120.167.44.128/25120.167.44.129 to 120.167.44.254120.167.44.255126
91120.167.45.0/25120.167.45.1 to 120.167.45.126120.167.45.127126
92120.167.45.128/25120.167.45.129 to 120.167.45.254120.167.45.255126
93120.167.46.0/25120.167.46.1 to 120.167.46.126120.167.46.127126
94120.167.46.128/25120.167.46.129 to 120.167.46.254120.167.46.255126
95120.167.47.0/25120.167.47.1 to 120.167.47.126120.167.47.127126
96120.167.47.128/25120.167.47.129 to 120.167.47.254120.167.47.255126
97120.167.48.0/25120.167.48.1 to 120.167.48.126120.167.48.127126
98120.167.48.128/25120.167.48.129 to 120.167.48.254120.167.48.255126
99120.167.49.0/25120.167.49.1 to 120.167.49.126120.167.49.127126
100120.167.49.128/25120.167.49.129 to 120.167.49.254120.167.49.255126
101120.167.50.0/25120.167.50.1 to 120.167.50.126120.167.50.127126
102120.167.50.128/25120.167.50.129 to 120.167.50.254120.167.50.255126
103120.167.51.0/25120.167.51.1 to 120.167.51.126120.167.51.127126
104120.167.51.128/25120.167.51.129 to 120.167.51.254120.167.51.255126
105120.167.52.0/25120.167.52.1 to 120.167.52.126120.167.52.127126
106120.167.52.128/25120.167.52.129 to 120.167.52.254120.167.52.255126
107120.167.53.0/25120.167.53.1 to 120.167.53.126120.167.53.127126
108120.167.53.128/25120.167.53.129 to 120.167.53.254120.167.53.255126
109120.167.54.0/25120.167.54.1 to 120.167.54.126120.167.54.127126
110120.167.54.128/25120.167.54.129 to 120.167.54.254120.167.54.255126
111120.167.55.0/25120.167.55.1 to 120.167.55.126120.167.55.127126
112120.167.55.128/25120.167.55.129 to 120.167.55.254120.167.55.255126
113120.167.56.0/25120.167.56.1 to 120.167.56.126120.167.56.127126
114120.167.56.128/25120.167.56.129 to 120.167.56.254120.167.56.255126
115120.167.57.0/25120.167.57.1 to 120.167.57.126120.167.57.127126
116120.167.57.128/25120.167.57.129 to 120.167.57.254120.167.57.255126
117120.167.58.0/25120.167.58.1 to 120.167.58.126120.167.58.127126
118120.167.58.128/25120.167.58.129 to 120.167.58.254120.167.58.255126
119120.167.59.0/25120.167.59.1 to 120.167.59.126120.167.59.127126
120120.167.59.128/25120.167.59.129 to 120.167.59.254120.167.59.255126
121120.167.60.0/25120.167.60.1 to 120.167.60.126120.167.60.127126
122120.167.60.128/25120.167.60.129 to 120.167.60.254120.167.60.255126
123120.167.61.0/25120.167.61.1 to 120.167.61.126120.167.61.127126
124120.167.61.128/25120.167.61.129 to 120.167.61.254120.167.61.255126
125120.167.62.0/25120.167.62.1 to 120.167.62.126120.167.62.127126
126120.167.62.128/25120.167.62.129 to 120.167.62.254120.167.62.255126
127120.167.63.0/25120.167.63.1 to 120.167.63.126120.167.63.127126
128120.167.63.128/25120.167.63.129 to 120.167.63.254120.167.63.255126
129120.167.64.0/25120.167.64.1 to 120.167.64.126120.167.64.127126
130120.167.64.128/25120.167.64.129 to 120.167.64.254120.167.64.255126
131120.167.65.0/25120.167.65.1 to 120.167.65.126120.167.65.127126
132120.167.65.128/25120.167.65.129 to 120.167.65.254120.167.65.255126
133120.167.66.0/25120.167.66.1 to 120.167.66.126120.167.66.127126
134120.167.66.128/25120.167.66.129 to 120.167.66.254120.167.66.255126
135120.167.67.0/25120.167.67.1 to 120.167.67.126120.167.67.127126
136120.167.67.128/25120.167.67.129 to 120.167.67.254120.167.67.255126
137120.167.68.0/25120.167.68.1 to 120.167.68.126120.167.68.127126
138120.167.68.128/25120.167.68.129 to 120.167.68.254120.167.68.255126
139120.167.69.0/25120.167.69.1 to 120.167.69.126120.167.69.127126
140120.167.69.128/25120.167.69.129 to 120.167.69.254120.167.69.255126
141120.167.70.0/25120.167.70.1 to 120.167.70.126120.167.70.127126
142120.167.70.128/25120.167.70.129 to 120.167.70.254120.167.70.255126
143120.167.71.0/25120.167.71.1 to 120.167.71.126120.167.71.127126
144120.167.71.128/25120.167.71.129 to 120.167.71.254120.167.71.255126
145120.167.72.0/25120.167.72.1 to 120.167.72.126120.167.72.127126
146120.167.72.128/25120.167.72.129 to 120.167.72.254120.167.72.255126
147120.167.73.0/25120.167.73.1 to 120.167.73.126120.167.73.127126
148120.167.73.128/25120.167.73.129 to 120.167.73.254120.167.73.255126
149120.167.74.0/25120.167.74.1 to 120.167.74.126120.167.74.127126
150120.167.74.128/25120.167.74.129 to 120.167.74.254120.167.74.255126
151120.167.75.0/25120.167.75.1 to 120.167.75.126120.167.75.127126
152120.167.75.128/25120.167.75.129 to 120.167.75.254120.167.75.255126
153120.167.76.0/25120.167.76.1 to 120.167.76.126120.167.76.127126
154120.167.76.128/25120.167.76.129 to 120.167.76.254120.167.76.255126
155120.167.77.0/25120.167.77.1 to 120.167.77.126120.167.77.127126
156120.167.77.128/25120.167.77.129 to 120.167.77.254120.167.77.255126
157120.167.78.0/25120.167.78.1 to 120.167.78.126120.167.78.127126
158120.167.78.128/25120.167.78.129 to 120.167.78.254120.167.78.255126
159120.167.79.0/25120.167.79.1 to 120.167.79.126120.167.79.127126
160120.167.79.128/25120.167.79.129 to 120.167.79.254120.167.79.255126
161120.167.80.0/25120.167.80.1 to 120.167.80.126120.167.80.127126
162120.167.80.128/25120.167.80.129 to 120.167.80.254120.167.80.255126
163120.167.81.0/25120.167.81.1 to 120.167.81.126120.167.81.127126
164120.167.81.128/25120.167.81.129 to 120.167.81.254120.167.81.255126
165120.167.82.0/25120.167.82.1 to 120.167.82.126120.167.82.127126
166120.167.82.128/25120.167.82.129 to 120.167.82.254120.167.82.255126
167120.167.83.0/25120.167.83.1 to 120.167.83.126120.167.83.127126
168120.167.83.128/25120.167.83.129 to 120.167.83.254120.167.83.255126
169120.167.84.0/25120.167.84.1 to 120.167.84.126120.167.84.127126
170120.167.84.128/25120.167.84.129 to 120.167.84.254120.167.84.255126
171120.167.85.0/25120.167.85.1 to 120.167.85.126120.167.85.127126
172120.167.85.128/25120.167.85.129 to 120.167.85.254120.167.85.255126
173120.167.86.0/25120.167.86.1 to 120.167.86.126120.167.86.127126
174120.167.86.128/25120.167.86.129 to 120.167.86.254120.167.86.255126
175120.167.87.0/25120.167.87.1 to 120.167.87.126120.167.87.127126
176120.167.87.128/25120.167.87.129 to 120.167.87.254120.167.87.255126
177120.167.88.0/25120.167.88.1 to 120.167.88.126120.167.88.127126
178120.167.88.128/25120.167.88.129 to 120.167.88.254120.167.88.255126
179120.167.89.0/25120.167.89.1 to 120.167.89.126120.167.89.127126
180120.167.89.128/25120.167.89.129 to 120.167.89.254120.167.89.255126
181120.167.90.0/25120.167.90.1 to 120.167.90.126120.167.90.127126
182120.167.90.128/25120.167.90.129 to 120.167.90.254120.167.90.255126
183120.167.91.0/25120.167.91.1 to 120.167.91.126120.167.91.127126
184120.167.91.128/25120.167.91.129 to 120.167.91.254120.167.91.255126
185120.167.92.0/25120.167.92.1 to 120.167.92.126120.167.92.127126
186120.167.92.128/25120.167.92.129 to 120.167.92.254120.167.92.255126
187120.167.93.0/25120.167.93.1 to 120.167.93.126120.167.93.127126
188120.167.93.128/25120.167.93.129 to 120.167.93.254120.167.93.255126
189120.167.94.0/25120.167.94.1 to 120.167.94.126120.167.94.127126
190120.167.94.128/25120.167.94.129 to 120.167.94.254120.167.94.255126
191120.167.95.0/25120.167.95.1 to 120.167.95.126120.167.95.127126
192120.167.95.128/25120.167.95.129 to 120.167.95.254120.167.95.255126
193120.167.96.0/25120.167.96.1 to 120.167.96.126120.167.96.127126
194120.167.96.128/25120.167.96.129 to 120.167.96.254120.167.96.255126
195120.167.97.0/25120.167.97.1 to 120.167.97.126120.167.97.127126
196120.167.97.128/25120.167.97.129 to 120.167.97.254120.167.97.255126
197120.167.98.0/25120.167.98.1 to 120.167.98.126120.167.98.127126
198120.167.98.128/25120.167.98.129 to 120.167.98.254120.167.98.255126
199120.167.99.0/25120.167.99.1 to 120.167.99.126120.167.99.127126
200120.167.99.128/25120.167.99.129 to 120.167.99.254120.167.99.255126
201120.167.100.0/25120.167.100.1 to 120.167.100.126120.167.100.127126
202120.167.100.128/25120.167.100.129 to 120.167.100.254120.167.100.255126
203120.167.101.0/25120.167.101.1 to 120.167.101.126120.167.101.127126
204120.167.101.128/25120.167.101.129 to 120.167.101.254120.167.101.255126
205120.167.102.0/25120.167.102.1 to 120.167.102.126120.167.102.127126
206120.167.102.128/25120.167.102.129 to 120.167.102.254120.167.102.255126
207120.167.103.0/25120.167.103.1 to 120.167.103.126120.167.103.127126
208120.167.103.128/25120.167.103.129 to 120.167.103.254120.167.103.255126
209120.167.104.0/25120.167.104.1 to 120.167.104.126120.167.104.127126
210120.167.104.128/25120.167.104.129 to 120.167.104.254120.167.104.255126
211120.167.105.0/25120.167.105.1 to 120.167.105.126120.167.105.127126
212120.167.105.128/25120.167.105.129 to 120.167.105.254120.167.105.255126
213120.167.106.0/25120.167.106.1 to 120.167.106.126120.167.106.127126
214120.167.106.128/25120.167.106.129 to 120.167.106.254120.167.106.255126
215120.167.107.0/25120.167.107.1 to 120.167.107.126120.167.107.127126
216120.167.107.128/25120.167.107.129 to 120.167.107.254120.167.107.255126
217120.167.108.0/25120.167.108.1 to 120.167.108.126120.167.108.127126
218120.167.108.128/25120.167.108.129 to 120.167.108.254120.167.108.255126
219120.167.109.0/25120.167.109.1 to 120.167.109.126120.167.109.127126
220120.167.109.128/25120.167.109.129 to 120.167.109.254120.167.109.255126
221120.167.110.0/25120.167.110.1 to 120.167.110.126120.167.110.127126
222120.167.110.128/25120.167.110.129 to 120.167.110.254120.167.110.255126
223120.167.111.0/25120.167.111.1 to 120.167.111.126120.167.111.127126
224120.167.111.128/25120.167.111.129 to 120.167.111.254120.167.111.255126
225120.167.112.0/25120.167.112.1 to 120.167.112.126120.167.112.127126
226120.167.112.128/25120.167.112.129 to 120.167.112.254120.167.112.255126
227120.167.113.0/25120.167.113.1 to 120.167.113.126120.167.113.127126
228120.167.113.128/25120.167.113.129 to 120.167.113.254120.167.113.255126
229120.167.114.0/25120.167.114.1 to 120.167.114.126120.167.114.127126
230120.167.114.128/25120.167.114.129 to 120.167.114.254120.167.114.255126
231120.167.115.0/25120.167.115.1 to 120.167.115.126120.167.115.127126
232120.167.115.128/25120.167.115.129 to 120.167.115.254120.167.115.255126
233120.167.116.0/25120.167.116.1 to 120.167.116.126120.167.116.127126
234120.167.116.128/25120.167.116.129 to 120.167.116.254120.167.116.255126
235120.167.117.0/25120.167.117.1 to 120.167.117.126120.167.117.127126
236120.167.117.128/25120.167.117.129 to 120.167.117.254120.167.117.255126
237120.167.118.0/25120.167.118.1 to 120.167.118.126120.167.118.127126
238120.167.118.128/25120.167.118.129 to 120.167.118.254120.167.118.255126
239120.167.119.0/25120.167.119.1 to 120.167.119.126120.167.119.127126
240120.167.119.128/25120.167.119.129 to 120.167.119.254120.167.119.255126
241120.167.120.0/25120.167.120.1 to 120.167.120.126120.167.120.127126
242120.167.120.128/25120.167.120.129 to 120.167.120.254120.167.120.255126
243120.167.121.0/25120.167.121.1 to 120.167.121.126120.167.121.127126
244120.167.121.128/25120.167.121.129 to 120.167.121.254120.167.121.255126
245120.167.122.0/25120.167.122.1 to 120.167.122.126120.167.122.127126
246120.167.122.128/25120.167.122.129 to 120.167.122.254120.167.122.255126
247120.167.123.0/25120.167.123.1 to 120.167.123.126120.167.123.127126
248120.167.123.128/25120.167.123.129 to 120.167.123.254120.167.123.255126
249120.167.124.0/25120.167.124.1 to 120.167.124.126120.167.124.127126
250120.167.124.128/25120.167.124.129 to 120.167.124.254120.167.124.255126
251120.167.125.0/25120.167.125.1 to 120.167.125.126120.167.125.127126
252120.167.125.128/25120.167.125.129 to 120.167.125.254120.167.125.255126
253120.167.126.0/25120.167.126.1 to 120.167.126.126120.167.126.127126
254120.167.126.128/25120.167.126.129 to 120.167.126.254120.167.126.255126
255120.167.127.0/25120.167.127.1 to 120.167.127.126120.167.127.127126
256120.167.127.128/25120.167.127.129 to 120.167.127.254120.167.127.255126

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses